VOP_INACTIVE(9)

NAME
VOP_INACTIVE, VOP_RECLAIM - reclaim file system resources for a vnode

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_INACTIVE(struct vnode *vp, struct thread *td);
int
VOP_RECLAIM(struct vnode *vp, struct thread *td);

DESCRIPTION
The arguments are:

vp  The vnode being reclaimed.

VOP_INACTIVE() is called when the kernel is no longer using the vnode. This may be because the reference count reaches zero or it may be that the file system is being forcibly unmounted while there are open files. It can be used to reclaim space for ‘open but deleted’ files.

VOP_RECLAIM() is called when a vnode is being reused for a different file system. Any file system specific resources associated with the vnode should be freed.

LOCKS
For both VOP_INACTIVE() and VOP_RECLAIM(), the vp will be exclusively locked on entry, and must be left exclusively locked on return.

SEE ALSO
vnode(9)

AUTHORS
This manual page was written by Doug Rabson.